<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/Modifiers/Hunger.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d99/_hunger_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Hunger.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d99/_hunger_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../db/dc4/class_hunger_mdfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/dc4/class_hunger_mdfr.html">HungerMdfr</a>: <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../db/dc4/class_hunger_mdfr.html#a126849a75eb92c32beadbcee25ded518">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../db/dc4/class_hunger_mdfr.html#a126849a75eb92c32beadbcee25ded518">m_EnergyDelta</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../db/dc4/class_hunger_mdfr.html#ac95af57bbdfa6bbb6dcbf54d23cf5a9c">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../db/dc4/class_hunger_mdfr.html#ac95af57bbdfa6bbb6dcbf54d23cf5a9c">m_LastEnergyLevel</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../db/dc4/class_hunger_mdfr.html#ad417e087dcc80e26ec994c18b4ff3a69">    5</a></span>    ref <a class="code hl_class" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>      <a class="code hl_variable" href="../../db/dc4/class_hunger_mdfr.html#ad417e087dcc80e26ec994c18b4ff3a69">m_MovementState</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../db/dc4/class_hunger_mdfr.html#a4932507850fda0471f2e931cf4e42747">    7</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/dc4/class_hunger_mdfr.html#a4932507850fda0471f2e931cf4e42747">Init</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a>                    = <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_HUNGER;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a>  = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a>    = 1;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a13bf3a75b607c3eb20546dbb90db2f2f">DisableDeactivateCheck</a>();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../db/dc4/class_hunger_mdfr.html#acabb697bc6172a1ed8fa78cbbe4ad36f">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/dc4/class_hunger_mdfr.html#acabb697bc6172a1ed8fa78cbbe4ad36f">ActivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../db/dc4/class_hunger_mdfr.html#ada229274b4f7ca7598606a0381a6628b">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/dc4/class_hunger_mdfr.html#ada229274b4f7ca7598606a0381a6628b">DeactivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../db/dc4/class_hunger_mdfr.html#a48ed22ea1591601ca6b20e7dfaea61da">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/dc4/class_hunger_mdfr.html#a48ed22ea1591601ca6b20e7dfaea61da">OnReconnect</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../db/dc4/class_hunger_mdfr.html#a5d15a66fdb60d234843e45559a231982">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/dc4/class_hunger_mdfr.html#a5d15a66fdb60d234843e45559a231982">OnTick</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        player.GetMovementState(<a class="code hl_variable" href="../../db/dc4/class_hunger_mdfr.html#ad417e087dcc80e26ec994c18b4ff3a69">m_MovementState</a>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordtype">float</span> energy = player.GetStatEnergy().Get();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordtype">float</span> metabolic_speed = MiscGameplayFunctions.GetEnergyMetabolicSpeed(<a class="code hl_variable" href="../../db/dc4/class_hunger_mdfr.html#ad417e087dcc80e26ec994c18b4ff3a69">m_MovementState</a>.<a class="code hl_variable" href="../../d2/d1b/class_human_movement_state.html#a04b18fdc0228482ff96609c8fdf94e3d">m_iMovement</a>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordtype">float</span> modifier = energy/<a class="code hl_class" href="../../d3/def/class_player_constants.html">PlayerConstants</a>.<a class="code hl_variable" href="../../d3/def/class_player_constants.html#a640d860ccdeed57174e7e314049139e4">SL_ENERGY_MAX</a> + <a class="code hl_class" href="../../d3/def/class_player_constants.html">PlayerConstants</a>.<a class="code hl_variable" href="../../d3/def/class_player_constants.html#a1283dbfe0f6265a3a7c470296c4c8aa9">CONSUMPTION_MULTIPLIER_BASE</a>; </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        metabolic_speed *= modifier; <span class="comment">//non linear shaping for consumption curve (comment out to have it linear)</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        player.GetStatEnergy().Add( -metabolic_speed * deltaT );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">if</span> ( energy &lt;= <a class="code hl_class" href="../../d3/def/class_player_constants.html">PlayerConstants</a>.<a class="code hl_variable" href="../../d3/def/class_player_constants.html#ab2754d68f81461889cb4610059133df5">LOW_ENERGY_THRESHOLD</a> )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            player.SetMixedSoundState( <a class="code hl_enumeration" href="../../da/d9c/_e_mixed_sound_states_8c.html#a9e5aea2986b037404237ee76b0ae0a25">eMixedSoundStates</a>.HUNGRY );</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <span class="keywordflow">if</span>( (player.GetStomach().GetDigestingType() &amp; <a class="code hl_function" href="../../d8/dec/_player_stomach_8c.html#aff6b446cd1b4003ceddae722fc9d96da">PlayerStomach</a>.DIGESTING_ENERGY) == 0)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                player.AddHealth(<span class="stringliteral">&quot;GlobalHealth&quot;</span>, <span class="stringliteral">&quot;Health&quot;</span>, -<a class="code hl_class" href="../../d3/def/class_player_constants.html">PlayerConstants</a>.<a class="code hl_variable" href="../../d3/def/class_player_constants.html#a4a0e79b173d08c298391b316c8083a49">LOW_ENERGY_DAMAGE_PER_SEC</a> * deltaT );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            player.UnsetMixedSoundState( <a class="code hl_enumeration" href="../../da/d9c/_e_mixed_sound_states_8c.html#a9e5aea2986b037404237ee76b0ae0a25">eMixedSoundStates</a>.HUNGRY );</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>};</div>
<div class="ttc" id="a_e_mixed_sound_states_8c_html_a9e5aea2986b037404237ee76b0ae0a25"><div class="ttname"><a href="../../da/d9c/_e_mixed_sound_states_8c.html#a9e5aea2986b037404237ee76b0ae0a25">eMixedSoundStates</a></div><div class="ttdeci">eMixedSoundStates</div><div class="ttdoc">bits</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d9c/_e_mixed_sound_states_8c_source.html#l00002">EMixedSoundStates.c:3</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a04ae6d90cb75d3086c27e65cddd358a0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></div><div class="ttdeci">bool m_TrackActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00015">ModifierBase.c:15</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a13bf3a75b607c3eb20546dbb90db2f2f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a13bf3a75b607c3eb20546dbb90db2f2f">DisableDeactivateCheck</a></div><div class="ttdeci">void DisableDeactivateCheck()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00083">ModifierBase.c:83</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa9aa2d760c0099abe3d671d7c4c6368f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a></div><div class="ttdeci">float m_TickIntervalActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00019">ModifierBase.c:19</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aad5f52b5eb22d81599e8a25ec6055d22"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a></div><div class="ttdeci">float m_TickIntervalInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00018">ModifierBase.c:18</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ab41b0cbf9fe485932fbffc19ea426bac"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_INACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00033">ModifiersManager.c:33</a></div></div>
<div class="ttc" id="a_player_stomach_8c_html_aff6b446cd1b4003ceddae722fc9d96da"><div class="ttname"><a href="../../d8/dec/_player_stomach_8c.html#aff6b446cd1b4003ceddae722fc9d96da">PlayerStomach</a></div><div class="ttdeci">void PlayerStomach(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dec/_player_stomach_8c_source.html#l00127">PlayerStomach.c:127</a></div></div>
<div class="ttc" id="aclass_human_movement_state_html"><div class="ttname"><a href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l01031">human.c:1032</a></div></div>
<div class="ttc" id="aclass_human_movement_state_html_a04b18fdc0228482ff96609c8fdf94e3d"><div class="ttname"><a href="../../d2/d1b/class_human_movement_state.html#a04b18fdc0228482ff96609c8fdf94e3d">HumanMovementState::m_iMovement</a></div><div class="ttdeci">int m_iMovement</div><div class="ttdoc">current stance (DayZPlayer.STANCEIDX_ERECT, ...), only if the command has a stance</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l01035">human.c:1035</a></div></div>
<div class="ttc" id="aclass_hunger_mdfr_html"><div class="ttname"><a href="../../db/dc4/class_hunger_mdfr.html">HungerMdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d99/_hunger_8c_source.html#l00001">Hunger.c:2</a></div></div>
<div class="ttc" id="aclass_hunger_mdfr_html_a126849a75eb92c32beadbcee25ded518"><div class="ttname"><a href="../../db/dc4/class_hunger_mdfr.html#a126849a75eb92c32beadbcee25ded518">HungerMdfr::m_EnergyDelta</a></div><div class="ttdeci">protected float m_EnergyDelta</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d99/_hunger_8c_source.html#l00003">Hunger.c:3</a></div></div>
<div class="ttc" id="aclass_hunger_mdfr_html_a48ed22ea1591601ca6b20e7dfaea61da"><div class="ttname"><a href="../../db/dc4/class_hunger_mdfr.html#a48ed22ea1591601ca6b20e7dfaea61da">HungerMdfr::OnReconnect</a></div><div class="ttdeci">override void OnReconnect(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d99/_hunger_8c_source.html#l00026">Hunger.c:26</a></div></div>
<div class="ttc" id="aclass_hunger_mdfr_html_a4932507850fda0471f2e931cf4e42747"><div class="ttname"><a href="../../db/dc4/class_hunger_mdfr.html#a4932507850fda0471f2e931cf4e42747">HungerMdfr::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d99/_hunger_8c_source.html#l00007">Hunger.c:7</a></div></div>
<div class="ttc" id="aclass_hunger_mdfr_html_a5d15a66fdb60d234843e45559a231982"><div class="ttname"><a href="../../db/dc4/class_hunger_mdfr.html#a5d15a66fdb60d234843e45559a231982">HungerMdfr::OnTick</a></div><div class="ttdeci">override void OnTick(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d99/_hunger_8c_source.html#l00031">Hunger.c:31</a></div></div>
<div class="ttc" id="aclass_hunger_mdfr_html_ac95af57bbdfa6bbb6dcbf54d23cf5a9c"><div class="ttname"><a href="../../db/dc4/class_hunger_mdfr.html#ac95af57bbdfa6bbb6dcbf54d23cf5a9c">HungerMdfr::m_LastEnergyLevel</a></div><div class="ttdeci">protected float m_LastEnergyLevel</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d99/_hunger_8c_source.html#l00004">Hunger.c:4</a></div></div>
<div class="ttc" id="aclass_hunger_mdfr_html_acabb697bc6172a1ed8fa78cbbe4ad36f"><div class="ttname"><a href="../../db/dc4/class_hunger_mdfr.html#acabb697bc6172a1ed8fa78cbbe4ad36f">HungerMdfr::ActivateCondition</a></div><div class="ttdeci">override bool ActivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d99/_hunger_8c_source.html#l00016">Hunger.c:16</a></div></div>
<div class="ttc" id="aclass_hunger_mdfr_html_ad417e087dcc80e26ec994c18b4ff3a69"><div class="ttname"><a href="../../db/dc4/class_hunger_mdfr.html#ad417e087dcc80e26ec994c18b4ff3a69">HungerMdfr::m_MovementState</a></div><div class="ttdeci">ref HumanMovementState m_MovementState</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d99/_hunger_8c_source.html#l00005">Hunger.c:5</a></div></div>
<div class="ttc" id="aclass_hunger_mdfr_html_ada229274b4f7ca7598606a0381a6628b"><div class="ttname"><a href="../../db/dc4/class_hunger_mdfr.html#ada229274b4f7ca7598606a0381a6628b">HungerMdfr::DeactivateCondition</a></div><div class="ttdeci">override bool DeactivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d99/_hunger_8c_source.html#l00021">Hunger.c:21</a></div></div>
<div class="ttc" id="aclass_modifier_base_html"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00003">BreathVapourMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_player_constants_html"><div class="ttname"><a href="../../d3/def/class_player_constants.html">PlayerConstants</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/_player_constants_8c_source.html#l00001">PlayerConstants.c:2</a></div></div>
<div class="ttc" id="aclass_player_constants_html_a1283dbfe0f6265a3a7c470296c4c8aa9"><div class="ttname"><a href="../../d3/def/class_player_constants.html#a1283dbfe0f6265a3a7c470296c4c8aa9">PlayerConstants::CONSUMPTION_MULTIPLIER_BASE</a></div><div class="ttdeci">static const float CONSUMPTION_MULTIPLIER_BASE</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/_player_constants_8c_source.html#l00052">PlayerConstants.c:52</a></div></div>
<div class="ttc" id="aclass_player_constants_html_a4a0e79b173d08c298391b316c8083a49"><div class="ttname"><a href="../../d3/def/class_player_constants.html#a4a0e79b173d08c298391b316c8083a49">PlayerConstants::LOW_ENERGY_DAMAGE_PER_SEC</a></div><div class="ttdeci">static const float LOW_ENERGY_DAMAGE_PER_SEC</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/_player_constants_8c_source.html#l00127">PlayerConstants.c:127</a></div></div>
<div class="ttc" id="aclass_player_constants_html_a640d860ccdeed57174e7e314049139e4"><div class="ttname"><a href="../../d3/def/class_player_constants.html#a640d860ccdeed57174e7e314049139e4">PlayerConstants::SL_ENERGY_MAX</a></div><div class="ttdeci">static const float SL_ENERGY_MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/_player_constants_8c_source.html#l00034">PlayerConstants.c:34</a></div></div>
<div class="ttc" id="aclass_player_constants_html_ab2754d68f81461889cb4610059133df5"><div class="ttname"><a href="../../d3/def/class_player_constants.html#ab2754d68f81461889cb4610059133df5">PlayerConstants::LOW_ENERGY_THRESHOLD</a></div><div class="ttdeci">static const float LOW_ENERGY_THRESHOLD</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/_player_constants_8c_source.html#l00059">PlayerConstants.c:59</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../dir_2f487fd4525d42d8067e7d1b4828f2de.html">Modifiers</a></li><li class="navelem"><a class="el" href="../../d0/d99/_hunger_8c.html">Hunger.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
